<?php

require_once dirname(__FILE__) . '/../includes/inicio.php';

$token = trim($_POST['token']);
$senha = trim($_POST['senha']);
$confirmar = trim($_POST['confirmar']);

if (!empty($token) && !empty($senha) && !empty($confirmar) && (strlen($token) >= 30)) {
    if ($senha == $confirmar) {
        $validarToken = Usuario::validarToken($token);

        if ($validarToken) {
            $mudarToken = Usuario::mudarToken($validarToken->getId());

            $validarToken->setSenha($senha);
            $validarToken->editar();

            header('Location: ../login.php');
        } else {
            Message::error('Token Inválido!');
        }
    } else {
        Message::error('Senha e confirmação não coincidem.');
    }
} else {
    Message::error('Dados Inválidos!');
}
